Subject: Re: bug#68183: 28.3; vc-dir fails when I have a certain branch checked out

From: Sean Whitton <[email-masked]>
Date: Thu, 08 Aug 2024 20:02:00 +0800

Hello,

On Thu 08 Aug 2024 at 09:07am +02, Kévin Le Gouguec wrote:

> Do you mean that the detection methods for 'am and 'merge currently in
> place…
>
>     (when (file-exists-p
> 	   (expand-file-name "rebase-apply/applying" gitdir))
>       (push 'am cmds))
>     (when (file-exists-p (expand-file-name "MERGE_HEAD" gitdir))
>       (push 'merge cmds))
>
> … are unreliable somehow?  I wasn't planning on detecting more
> operations, merely adding vc-dir headers for these two, since despite
> vc-git--cmds-in-progress picking these operations up,
> vc-git-dir-extra-headers ignores them 😶

Oh sorry, I misread.  Those tests are reliable.  Yes -- if you think it
would be helpful to have them displayed in vc-dir, it makes sense to me
to add them.

-- 
Sean Whitton